### Method

# WebKit NetworkProxySettings add_proxy_for_scheme

#### Declaration [src]

    void
    webkit_network_proxy_settings_add_proxy_for_scheme (
      WebKitNetworkProxySettings* proxy_settings,
      const gchar* scheme,
      const gchar* proxy_uri
    )

#### Description [src]

Adds a URI-scheme-specific proxy.

URIs whose scheme matches `uri_scheme` will be proxied via `proxy_uri`. As with the default proxy URI, if `proxy_uri` starts with “socks://”, it will be treated as referring to all three of the socks5, socks4a, and socks4 proxy types.

Available since: | 2.16

#### Parameters

`scheme` | `const gchar*`
| The URI scheme to add a proxy for.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`proxy_uri` | `const gchar*`
| The proxy URI to use for `uri_scheme`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.